package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuI18nResourcesFactory
{
    private FeishuI18nResourcesFactory()
    {
    }
    public static IFeishuI18nResources getRemoteInstance() throws BOSException
    {
        return (IFeishuI18nResources)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1555C93E") , IFeishuI18nResources.class);
    }
    
    public static IFeishuI18nResources getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuI18nResources)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1555C93E") , IFeishuI18nResources.class, objectCtx);
    }
    public static IFeishuI18nResources getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuI18nResources)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1555C93E"));
    }
    public static IFeishuI18nResources getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuI18nResources)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1555C93E"));
    }
}